package polyglot.ext.predj.types;

import polyglot.types.*;
import polyglot.ext.jl.types.*;
import polyglot.util.*;

// A LocalInstance that represents a reference to a formal parameter.

public class PredJFormalInstance_c extends LocalInstance_c
    implements PredJFormalInstance {

    protected int paramPos = -1;

	/** Used for deserializing types. */
    protected PredJFormalInstance_c() {}

    public PredJFormalInstance_c(TypeSystem ts, Position pos, Flags flags,
				 Type type, String name, int paramPos) {
        super(ts, pos, flags, type, name);
	this.paramPos = paramPos;
    }

    public int paramPosition() {
	return paramPos;
    }
}
