package polyglot.ext.predj.types;

import polyglot.types.*;

import java.util.*;

// the type information for a constant appearing in a predicate
public class PredicateLit_c extends Predicate_c
    implements PredicateLit {

    protected Object value;

    public PredicateLit_c(Object value, Type type) {
	super(type);
	this.value = value;
    }

    public Object value() {
	return value;
    }

    public String toString() {
	return String.valueOf(value);
    }

    public Set specializers() {
	return new HashSet();
    }
    
    public Set targets() {
	return new HashSet();
    }
}
