package polyglot.ext.predj.types;

import polyglot.types.*;

import java.util.*;

/* Represents the predicate TRUE. This is used as the implicit
   predicate for methods that lack an explicit one. */

public class TruePredicate_c extends Predicate_c implements TruePredicate {

    public TruePredicate_c(TypeSystem ts) {
	super(ts.Boolean());
    }

    public String toString() {
	return "TRUE";
    }

    public Set specializers() {
	return new HashSet();
    }
    
    public Set targets() {
	return new HashSet();
    }
}
