package polyglot.ext.predj.ast;

import polyglot.ast.*;
import polyglot.ext.jl.ast.*;
import polyglot.util.*;
import polyglot.types.*;
import polyglot.ext.predj.types.PredJTypeSystem;
import polyglot.ext.predj.types.PredJPredMethodInstance;
import polyglot.ext.predj.types.Predicate;
import polyglot.visit.*;

import polyglot.ext.jl5.types.FlagAnnotations;

import java.util.*;

/** An AST node for PredJava method declarations that do not have a
    predicate. **/
public class PredJMethodDecl_c extends PredJAbstractMethodDecl_c {

    public PredJMethodDecl_c(Position pos, FlagAnnotations flags,
			     TypeNode returnType, String name,
			     List formals, List throwTypes, Block body,
			     List paramTypes) {
	super(pos, flags, returnType, name, formals, throwTypes, body,
	      paramTypes);
    }
}
