package polyglot.ext.predj.ast;


// a specializer that does not have a binding
public interface SpecializerNode extends AbstractSpecializerNode {
	// if this is a specialized formal,
	// what position is the specialized formal parameter in the
	// list of formals?
	// should only be called after typechecking
    public int paramPosition();

	// should we specialize the type of the target in the body of
	// the method?  should only be called after the typechecking
	// pass.
    public boolean specializeType();
}
