package polyglot.ext.predj.types;

import java.util.List;

// an interface for interacting with a theorem prover

public interface TheoremProverInterface {
	// does m1 logically imply m2?
    public boolean implies(Predicate m1, Predicate m2);

	// is p logically true?
    public boolean isTautology(Predicate p);

	// compute the partial order among a bunch of predicates
//    public void partialOrder(Predicate[] preds, List[] po);
}
